Subject: bug#16692: 24.2; nlinum version 1.2 does not work correctly with indirect buffers

From: Mark Lillibridge <[email-masked]>
Date: Sun, 23 Feb 2014 10:49:04 -0800

Stefan Monnier <[email-masked]> writes:

>  >     Hit enter multiple times; observe that line numbers for the new
>  >     lines appear in the original buffer but not the indirect buffer you
>  >     are currently in.  This is a bug: line numbers should be present for
>  >     every line in both buffers.
>      
>  The core of the problem is that jit-lock relies on text-properties,
>  i.e. data shared between the indirect buffers, but is run "per buffer".
>  This can be seen also when you use two indirect buffers in different
>  major modes, where the font-lock behavior can be erratic, mixing the
>  rules of the different major modes.
>  
>  I installed a patch which prevents activation of jit-lock in indirect
>  buffers.  In practice this means that nlinum-mode should now work
>  correctly in the base buffer but will not work at all in the
>  indirect buffer.
>  IOW, problem is still present but it fails more cleanly ;-)

    Check.  Indirect buffers are horribly broken; so noted.  I will try
some of the other recommended methods of dealing with multiple edit
points in the same buffer.

- Mark